import 'package:logger/logger.dart';
import 'package:suga_core/src/storage/storage.dart';

class Oauth2ManagerConfig {
  Uri authorizationEndpoint;

  String identifier;

  String secret;

  bool basicAuth;

  Logger logger;

  Storage credentialStorage;

  Oauth2ManagerConfig({this.authorizationEndpoint, this.credentialStorage, this.identifier, this.secret, this.basicAuth = false, this.logger});
}
